Bug 1476443 - [abrt] docker-compose: do_write(): io.py:153:do_write:ConnectionResetError: [Errno 104] Connection reset by peer
[abrt] docker-compose: do_write(): io.py:153:do_write:ConnectionResetError: [...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: docker-compose (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Hampton
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:de5cceaca5e08f26e340a2e3825...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-29 01:18 EDT by Yajo
Modified: 2018-05-29 07:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:57:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.73 KB, text/plain)
2017-07-29 01:18 EDT, Yajo
no flags Details
File: cgroup (385 bytes, text/plain)
2017-07-29 01:19 EDT, Yajo
no flags Details
File: cpuinfo (1.67 KB, text/plain)
2017-07-29 01:19 EDT, Yajo
no flags Details
File: environ (2.70 KB, text/plain)
2017-07-29 01:19 EDT, Yajo
no flags Details
File: mountinfo (8.41 KB, text/plain)
2017-07-29 01:19 EDT, Yajo
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-29 01:19 EDT, Yajo
no flags Details
File: open_fds (1.58 KB, text/plain)
2017-07-29 01:19 EDT, Yajo
no flags Details

  None (edit)
Description Yajo 2017-07-29 01:18:53 EDT
Version-Release number of selected component:
docker-compose-1.14.0-1.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/bin/docker-compose run --rm odoo psql -a
crash_function: do_write
exception_type: ConnectionResetError
executable:     /usr/bin/docker-compose
kernel:         4.11.10-300.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
io.py:153:do_write:ConnectionResetError: [Errno 104] Connection reset by peer

Traceback (most recent call last):
  File "/usr/bin/docker-compose", line 11, in <module>
    load_entry_point('docker-compose==1.14.0', 'console_scripts', 'docker-compose')()
  File "/usr/lib/python3.6/site-packages/compose/cli/main.py", line 68, in main
    command()
  File "/usr/lib/python3.6/site-packages/compose/cli/main.py", line 118, in perform_command
    handler(command, command_options)
  File "/usr/lib/python3.6/site-packages/compose/cli/main.py", line 750, in run
    run_one_off_container(container_options, self.project, service, options)
  File "/usr/lib/python3.6/site-packages/compose/cli/main.py", line 1171, in run_one_off_container
    pty.start(sockets)
  File "/usr/lib/python3.6/site-packages/dockerpty/pty.py", line 334, in start
    self._hijack_tty(pumps)
  File "/usr/lib/python3.6/site-packages/dockerpty/pty.py", line 373, in _hijack_tty
    pump.flush()
  File "/usr/lib/python3.6/site-packages/dockerpty/io.py", line 378, in flush
    raise e
  File "/usr/lib/python3.6/site-packages/dockerpty/io.py", line 375, in flush
    return self.to_stream.write(read)
  File "/usr/lib/python3.6/site-packages/dockerpty/io.py", line 254, in write
    return self.stream.write(data)
  File "/usr/lib/python3.6/site-packages/dockerpty/io.py", line 138, in write
    self.do_write()
  File "/usr/lib/python3.6/site-packages/dockerpty/io.py", line 164, in do_write
    raise e
  File "/usr/lib/python3.6/site-packages/dockerpty/io.py", line 153, in do_write
    written = os.write(self.fd.fileno(), self.buffer)
ConnectionResetError: [Errno 104] Connection reset by peer

Local variables in innermost frame:
written: 0
self: Stream(<socket.SocketIO object at 0x7fa4b5aee978>)
Comment 1 Yajo 2017-07-29 01:18:59 EDT
Created attachment 1306089 [details]
File: backtrace
Comment 2 Yajo 2017-07-29 01:19:00 EDT
Created attachment 1306090 [details]
File: cgroup
Comment 3 Yajo 2017-07-29 01:19:01 EDT
Created attachment 1306091 [details]
File: cpuinfo
Comment 4 Yajo 2017-07-29 01:19:03 EDT
Created attachment 1306092 [details]
File: environ
Comment 5 Yajo 2017-07-29 01:19:04 EDT
Created attachment 1306093 [details]
File: mountinfo
Comment 6 Yajo 2017-07-29 01:19:06 EDT
Created attachment 1306094 [details]
File: namespaces
Comment 7 Yajo 2017-07-29 01:19:07 EDT
Created attachment 1306095 [details]
File: open_fds
Comment 8 Fedora End Of Life 2018-05-03 04:32:07 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2018-05-29 07:57:05 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.